- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/updateRapidVulnerabilityDetectionSettings#try-it)

Updates the RapidVulnerabilityDetectionSettings resource.

### IAM Permissions

Requires the following IAM permission on the `rapidVulnerabilityDetectionSettings.name` field:

- `securitycenter.rapidvulnerabilitydetectionsettings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1beta2/{rapidVulnerabilityDetectionSettings.name=folders/*/rapidVulnerabilityDetectionSettings}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `rapidVulnerabilityDetectionSettings.name` | `string` The resource name of the RapidVulnerabilityDetectionSettings. Formats: - organizations/{organization}/rapidVulnerabilityDetectionSettings - folders/{folder}/rapidVulnerabilityDetectionSettings - projects/{project}/rapidVulnerabilityDetectionSettings |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/RapidVulnerabilityDetectionSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/RapidVulnerabilityDetectionSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).